Skip to main content
`Ctrl`+`K`

# PetscDemangleSymbol

Convert a C++-mangled symbol name to its human-readable form using `abi::__cxa_demangle()` when available

## Synopsis

    PetscErrorCode PetscDemangleSymbol(const char mangledName[], char **name)

Not Collective

## Input Parameter

- mangledName - the mangled symbol name (typically obtained from `dladdr()`)

## Output Parameter

- name - newly-allocated, null-terminated demangled name; caller must `PetscFree()` it

## Note

When no demangler is available (or when `mangledName` is `NULL`), `name` is set to `NULL`.

## See Also

`PetscStackView()`, `PetscStackPrint()`

## Level

developer

## Location

src/sys/dll/demangle.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages